Subject: RE: [Sip] Bug #113 Overlapping transactions

From: "Peterson, Jon" <[email-masked]>
Date: Fri, 11 Jan 2002 09:27:18 -0600

There was at least one case (that of a proxy server implementing a
call-forward-on-no-answer service without Record-Route) that would be broken
if we allowed these overlapping INVITEs - on those grounds, the case has
been made that allowing overlapping INVITEs breaks backwards compatibility
with 2543. There are also concerns about what happens if the UAS gets
overlapped INVITEs out of sequence and delivers hetergenous responses (like
a 4xx followed by a 2xx) that, due to CSeq, have to be interpreted in
reverse order by the UAC - it has been argued that the state of the call
becomes kinda murky. I don't really think either of these are directly
applicable to any of the non-INVITE methods we've defined today, especially
given our proviso that non-INVITE methods would have to define some sort of
custom ordering mechanism if ordering were necessary.

Jon Peterson
NeuStar, Inc.

> -----Original Message-----
> From: Sean Olson [mailto:[email-masked]]
> Sent: Friday, January 11, 2002 6:58 AM
> To: Peterson, Jon; [email-masked]'
> Subject: Re: [Sip] Bug #113 Overlapping transactions
> 
> 
> I would like to know the objections to overlapping
> INVITEs that wouldn't also apply to overlapping
> non-INVITEs. I personally favor an overlapping
> INVITE for solving early media over any new UPDATE
> or OFFER methods. It just seems much more 
> straightforward in my mind. Are there large
> technical hurdles to overlapping INVITE transactions
> that I am not seeing?
> 
> BR,
> sean
> 
> > Since we need to wrap this up if at all possible for
> > bis-06, I'd like to
> > suggest that we do the following:
> > 
> > Disallow overlapping INVITE transactions in the
> > baseline spec with the
> > understanding that an extension (along the lines of
> > UPDATE or OFFER) could
> > provide the necessary functionality for early media
> > or other services that
> > need to modify a session during the early dialog
> > stage.
> > 
> > Allow overlapping non-INVITE.
> > 
> > Is this okay with everyone? Please do speak up if
> > this isn't okay with you.
> > 
> > Jon Peterson
> > NeuStar, Inc.
> 
> 
> =====
> --
> Sean Olson <[email-masked]>
> 
> __________________________________________________
> Do You Yahoo!?
> Send FREE video emails in Yahoo! Mail!
> http://promo.yahoo.com/videomail/
> 

_______________________________________________
Sip mailing list  http://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip